{% set h1_color = 0 %}   {% set h2_color = 0 %}  {% set h3_color = 0 %}  {% set p_color = 0 %}  {% set link_color = 0 %}
{% set h1_size =  0 %}   {% set h2_size =  0 %}  {% set h3_size =  0 %}  {% set p_size =  0 %}  {% set link_color_hover = 0 %}
{% set h1_font =  0 %}   {% set h2_font =  0 %}  {% set h3_font =  0 %}  {% set p_font =  0 %}  {% set default_layout = 0 %}
{% set custom_css =  0 %}
{%for s in styles%}
    {%if s.field == 'h1_color'%}
        {% set h1_color =  s.value %}
    {%endif%} 
    {%if s.field == 'h1_size'%}
        {% set h1_size =  s.value %}
    {%endif%}
    {%if s.field == 'h1_font'%}
        {% set h1_font =  s.value %}
    {%endif%}

    {%if s.field == 'h2_color'%}
        {% set h2_color =  s.value %}
    {%endif%} 

    {%if s.field == 'h2_size'%}
        {% set h2_size =  s.value %}
    {%endif%}
    {%if s.field == 'h2_font'%}
        {% set h2_font =  s.value %}
    {%endif%}

    {%if s.field == 'h3_color'%}
        {% set h3_color =  s.value %}
    {%endif%} 
    {%if s.field == 'h3_size'%}
        {% set h3_size =  s.value %}
    {%endif%}
    {%if s.field == 'h3_font'%}
        {% set h3_font =  s.value %}
    {%endif%}

    {%if s.field == 'p_color'%}
        {% set p_color =  s.value %}
    {%endif%} 
    {%if s.field == 'p_size'%}
        {% set p_size =  s.value %}
    {%endif%}
    {%if s.field == 'p_font'%}
        {% set p_font =  s.value %}
    {%endif%}

    {%if s.field == 'link_color'%}
        {% set link_color =  s.value %}
    {%endif%} 
    {%if s.field == 'link_color_hover'%}
        {% set link_color_hover =  s.value %}
    {%endif%}
    {%if s.field == 'default_layout'%}
        {% set default_layout =  s.value %}
    {%endif%}

    {%if s.field == 'custom_css'%}
        {% set custom_css =  s.value %}
    {%endif%} 
{% endfor %}
<style type="text/css">
    {{custom_css|e('css')}}
</style>
<style type="text/css"> 
    .h1_styling{color:{{h1_color}}; font-size: {{h1_size}}em; font-weight: {{h1_font}};}
    .h2_styling{color:{{h2_color}}; font-size: {{h2_size}}em; font-weight: {{h2_font}};}
    .h3_styling{color:{{h3_color}}; font-size: {{h3_size}}em; font-weight: {{h3_font}};}
    .p_styling{color:{{p_color}}; font-size: {{p_size}}em; font-weight: {{p_font}};}
    .link_color{color: {{link_color}}}
    .link_color_hover{border-color: {{link_color_hover}}}

</style>{#normal bold / bolder / lighter#}